Gestiono
Referencia de APIAccounting / Chart Of Accounts

Update Chart Of Accounts

← Back to full API reference
PATCH/v1/chart-of-accountsAuth required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: patchChartAccount.

Request details

Body fields

FieldRequiredDescription
idYesType: number
nameNoType: string
codeNoType: string
typeNoz.enum without literal array values
categoryNoType: enumExample: REAL
parentAccountIdNoType: number
descriptionNoType: string
isActiveNoType: boolean
dataSourcesNoType: arrayExample:
dataSources[]YesType: object
dataSources[].idNoType: string
dataSources[].typeYesType: enumExample: INVOICES
dataSources[].operationYesType: enumExample: ADD
dataSources[].configNoType: object
dataSources[].config.multiplierNoType: numberExample: 1
dataSources[].config.invoiceNoType: object
dataSources[].config.invoice.sourceFieldYesType: enumExample: amount
dataSources[].config.invoice.isSellYesType: boolean
dataSources[].config.invoice.statesNoType: arrayExample:
dataSources[].config.invoice.states[]Yesz.enum without literal array values
dataSources[].config.resourcesNoType: object
dataSources[].config.resources.idsNoType: arrayExample:
dataSources[].config.resources.ids[]YesType: number
dataSources[].config.resources.typesNoType: arrayExample:
dataSources[].config.resources.types[]YesEnum-like validator generated by zodFromObj
dataSources[].config.chartAccountsNoType: object
dataSources[].config.chartAccounts.idsNoType: arrayExample:
dataSources[].config.chartAccounts.ids[]YesType: number
dataSources[].config.accountBalancesNoType: object
dataSources[].config.accountBalances.excludeAccountIdsNoType: arrayExample:
dataSources[].config.accountBalances.excludeAccountIds[]YesType: number
dataSources[].config.commissionsNoType: object
dataSources[].config.commissions.isSellNoType: boolean
dataSources[].config.payrollBenefitsNoType: object
dataSources[].config.payrollBenefits.sourceFieldNoType: enumExample: total
dataSources[].config.manualNoType: object
dataSources[].config.manual.amountNoType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": 1
}

Sample response

json
{}